View Issue Details

IDProjectCategoryView StatusLast Update
0031672FPCFCLpublic2017-04-23 12:47
ReporterAndrey ZubarevAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031672: fcl-passrc error with deprecated modifier
Descriptionprogram test;
type
  TMyClass=class
    private
      FUnitName:string;
    published
      property SrcUnitName: String read FUnitName write FUnitName; deprecated 'Use Unit_Name instead.';
  end;
begin
end.

Gives Expected "Identifier" at token "string" in file E:\zcad\other\pudgb\passrcerrors.pas at line 7 column 102
TagsNo tags attached.
Fixed in Revision35898
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-04-22 14:12

administrator   ~0099770

Fixed, thanks for reporting!

Andrey Zubarev

2017-04-23 12:47

reporter   ~0099807

Thanks!

Issue History

Date Modified Username Field Change
2017-04-17 11:56 Andrey Zubarev New Issue
2017-04-18 14:27 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-04-18 14:27 Michael Van Canneyt Status new => assigned
2017-04-22 14:12 Michael Van Canneyt Fixed in Revision => 35898
2017-04-22 14:12 Michael Van Canneyt Note Added: 0099770
2017-04-22 14:12 Michael Van Canneyt Status assigned => resolved
2017-04-22 14:12 Michael Van Canneyt Fixed in Version => 3.1.1
2017-04-22 14:12 Michael Van Canneyt Resolution open => fixed
2017-04-22 14:12 Michael Van Canneyt Target Version => 3.2.0
2017-04-23 12:47 Andrey Zubarev Note Added: 0099807
2017-04-23 12:47 Andrey Zubarev Status resolved => closed